Application: gvSIG desktop - gvSIG bugs #3134
Errors initialisation (org.gvsig.dyschromatopsia.app.mainplugin)
01/23/2015 12:09 PM - Giuliano Ramat

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category:

Target version: 2.1.0-2266

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2265 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

After having installed gvSIG 2.1 2265, and all the available not redundant plugins, every time | launch gvSIG this error message (see
attached image) appears on the bottom left corner. As soon as | start working it immediately disappears. O.S. Windows 8.1 with Java
8.

History

#1 - 01/23/2015 12:43 PM - Alvaro Anguix

Giualiano, we need the log file. Can you add?

#2 - 01/23/2015 01:30 PM - Giuliano Ramat
- File gvSIG.log added

Here it is. Thanks

#3 - 01/24/2015 10:19 AM - Antonio Falciano

Ciao Giuliano,

it seems like you have installed two different versions of the Dyschromatopsia extension:

INFO main org.gvsig.andami.Launcher -  plugin org.gvsig.dyschromatopsia.app.extension 1.0.0-SNAPSHOT-1
INFO main org.gvsig.andami.Launcher - plugin org.gvsig.dyschromatopsia.app.mainplugin 1.0.0-2

So, try to remove the extensiones/org.gvsig.dyschromatopsia.app.mainplugin folder manually and reinstall only the latest version (1.0.0-2). Effectively

there are two versions of this extension available in the Addons manager, while it should be only one.

#4 - 01/25/2015 10:18 AM - Joaquin del Cerro Murciano
- Target version set to 2.1.0-2266
- Assignee set to Joaquin del Cerro Murciano

#5 - 01/25/2015 05:38 PM - Joaquin del Cerro Murciano
- Operative System deleted (Windows)
- Status changed from New to Fixed

- Subject changed from Errors initialisation to Errors initialisation (org.gvsig.dyschromatopsia.app.mainplugin)

Pues parece ser que cuando adapte el proyecto a compilar con Jenkins renombre el plugin y ahora hay dos versiones de este, una obsoleta.

He incluido en el "gvspkg.options" la siguiente linea:

mks=--exclude org.gvsig.dyschromatopsia.app.extension

Para que no se incluya la version antigua en la distribucion.

#6 - 01/26/2015 09:42 AM - Alvaro Anguix

- Status changed from Fixed to Closed
